Subject: [Spasm] Spasm work for mail header security?

From: Wei Chuang <[email-masked]>
Date: Fri, 27 May 2016 10:59:56 -0700

Hi folks,

Header privacy and security with S/MIME (and PGP) has long been an
important topic.  One just has to look in the S/MIME archive to see that it
has been discussed at least four times with mention of significant
discussions at IETF meetings.  While mechanisms are well described in RFC
5751 (header wrapping in message/rfc822) and alternatively in RFC 7508
(Secured Headers as signed attributes), when to use it and what headers
should be secured are both open issues and should be standardized.  The
latter I'm told is hard issue but if progress can be made standardizing
just the behavior for "Subject" much progress will be made.

So I'm asking if Spasm is interested in working on this?  The work could be
incorporated into draft-schaad-rfc5751-bis-00 or as a new draft.  I'm
willing to work on an implementation for this.

thanks,
-Wei